---
title: Vectober22 Day 12 Forget
hideProfile: true
date: 2022/10/12
---

# Inkscape tutorial: forget

Inktober's 12th prompt was on the abstract side: *forget*.

![The picture of a forest traversed by a ray of light appears to desintegrate](12.forget.png?resize=600,400)

## Inspiration

It took some time for the idea of a disintegrating image to emerge. I wanted to depict a memory lost as some sort of data erasure. It felt natural that there would be a pitch black background behind the image, and I wanted to add some glitchy effect with red and cyan light that would create a buggy LCD screen effect.

With this in mind, I knew I wanted the disintegrating image to be rather peaceful, to provide contrast with its destruction. And because I wanted the cyan and red effects to be visible, I wanted contrasting colors in the image. That left yellows, greens and browns for candidates, and the image of a forest imposed itself.

After looking around for representations of forests in vector drawing (and flat aesthetic) I found [two](https://static.vecteezy.com/system/resources/previews/000/182/718/original/abstract-forest-vector.jpg) [pictures](https://cdn.dribbble.com/users/1338391/screenshots/15339530/forest_landscape_wallpaper_background_flat_design_art_4x.jpg) that I based my drawing on, the second one I shamelessly derived my palette from.

## Techniques

### Building blocks

As is always the case now, I started by drawing my base patterns, that I would assemble to create some trees. The trunk is simply a rectangle. 

For the branches I used the *Bezier* tool (`B`) to draw a smooth right angle turn, on which I then added handles that would allow me to grown branches vertically or horizontally.

For the foliage, I drew some bundles of circles which I added together (`Ctrl++`), and then used a rectangle to make a clean cut on the lower side (`Ctrl+-`).

The marks on the trunks are just a straight line with a large contour and rounded ends.

![The patterns I used](patterns.png?resize=200,200)

### The forest

Having the basic building blocks, I constructed some trees, layer by layer. I just placed a trunk and some branches, added that all (`Ctrl++`), put some foliage at the end of branches, and some marks on the trunk and bundled it in a group (`Ctrl+G`). 

Once all trees were drawn, I drew a large parallelogram with yellow fill and transparency which I placed on top of some trees and under some others to give the impression of a ray of light falling amidst the trees. For the fun and giggles here's the 'unforgotten' image of the forest:

![The same drawing of a forest, but not disintegrating](12.forget-me-not.png?resize=600,400)

### Disintegration

To erase part of the picture, I could have just drawn a black shape on top of the drawing, but I decided to use *Layers and Clipping*. I placed a new layer on top of the image, on which I placed a white shape which would correspond to the part of the image I wanted to keep.

Then I duplicated the layer twice and placed the copies *under* the image. The white clipping mask I colored red on one layer, and cyan on the other, and gave both those shapes a small translation. That way, If I only view the white mask with the red and cyan layers, it gives the impression of a glitching shape.

Last step was to simply select the white mask layer and the image and to set a clip (`Object -> Clip -> Set`).

## Link to the `svg`

The `svg` file is [here](page://02.blog/vectober22-12-forget/12.forget.svg).
