---
title: Vectober22 Day 13 Kind
hideProfile: true
date: 2022/10/13
---

# Inkscape tutorial: kind

Not gonna lie, I am not a fan of my production today... The prompt was *kind*, and I had a hard time coming up with something.

![An assembly of animals, all the same in a regular arrangement, one of them opens bright eyes](13.kind.png?resize=600,400)

## Inspiration

I had a hard time coming up with an idea to illustrate the word 'kind'. I was going back and forth between the different meanings:

* the essence of something, its kind as in "two of the same kind",
* or the expression "one of a kind", same sense as above but different interpretation,
* or kind as in kindness, an altruistic emotion.

Fiddling with these notions I began thinking about the *[wallpaper groups](https://en.wikipedia.org/wiki/Wallpaper_group)*, a collection of the 17 different ways you can repeat a pattern to tile the plane. 

I decided to use a wallpaper tiling to represent a herd of social animals vibing together, and maybe throw an odd one. I was pretty happy with the idea, thought about which wholesome animal to draw, and which tiling I would choose. That's when the struggle began...

Let's call today a day I gathered new ideas which I will surely revisit in the future.

I tried to draw a *capybara*, they're highly social and highly wholesome. It didn't work, I am not at the capybara level in Inkscape yet...

![A very botched drawing of a capybara](capy.png?resize=100,100)

And I wanted to try a tiling group called **333**, as in [this famous drawing](https://www2.gvsu.edu/oxfordj/Image8.jpg) by Escher. That was a lot to chew for a first bite.

Lowering my expectations I decided to simplify the drawing and the tiling group. I went with **o**, the simplest wallpaper group possible, as in [this drawing](https://image.shutterstock.com/shutterstock/photos/259354187/display_1500/stock-vector-fox-in-a-forest-seamless-pattern-vector-design-background-259354187.jpg).

## Techniques

### A word about the wallpaper groups

The wallpaper groups are the mathematical classification of all the ways the plane can be covered with the same pattern, where the pattern can be moved, turned and reflected. It turns out there are *17* fundamentally different arrangements. Each of the 17 ways (called a group) describes how to repeat a pattern to tile the plane.

For each group, you can identify a *fundamental cell*, a shape which will be repeated throughout the plane by being moved, turned, or mirrored. *Every* repeated pattern falls into one of these categories, and thus has a fundamental cell.

Drawing a tiling is then just a question of coming up with a motif inside the fundamental cell that will nicely repeat itself. Not all wallpaper groups have the same fundamental cell: it can be a parallelogram, a rhombus, or a triangle.

Since there are 17 groups, it is easy to come up with a name for each of them. Several names have been proposed, but I settled of talking about them in the *orbifold* notation, mostly because this is the notation advocated by John H. Conway.

### Drawing a tiling with the o group

The wallpaper group called **o** is the simplest of the 17. It consists of a pattern that is translated in two directions, and that's all. Its fundamental cell is a parallelogram. Drawing a tiling with **o** is simple, here's a *how-to*:

* Start with a basic drawing for example the head of an animal. In my example, the body can be drawn as a shapeless potato, it doesn't matter.
* Duplicate the drawing twice (`Ctrl+D`), and place the two drawings on the bottom left and bottom right of the original. Choose a placement that is both harmonious and that you can easily replicate (use snapping points for example).
* With the *Bezier* tool (`B`), trace a triangle that links three identical points of the three drawings.
* Duplicate the triangle, and flip it (`H` and `V`). Snap the flipped triangle to the original with a common edge. The third vertex of the triangle tells you where to place a fourth drawing!

You can continue with this triangle technique, or once the original drawing is surrounded, you can subtract the surrounding drawings to the center one. That way, you have a *tile*.

![A tile which can be repeated](tile.png?resize=100,100)

You can also repeat a few drawings until they completely cover two snapped triangle, *ie* a parallelogram. Once you're there you can intersect the drawings with the parallelogram until you have a cell that's filled with drawing.

![The fundamental cell of the tiling](cell.png?resize=100,100)

## Link to the `svg`

The `svg` file is [here](page://02.blog/vectober22-13-kind/13.kind.svg).
