---
title: Vectober22 Day 15 Armadillo
hideProfile: true
date: 2022/10/15
---

# Inkscape tutorial: Armadillo

Only two days after my first try at wallpapers group, I'm trying it out again, with a representation of the group called **3\*3**.

![Armadillos everywhere, forming a repeated motif with three-fold symmetry](15.armadillo.png?resize=600,400)

## Inspiration

Armadillos are awesome, and can easily fit in a hexagon, which is a good basis for three-fold symmetric motifs.

After trying out a repeating pattern [two days ago](/blog/vectober22-13-kind), I decided to try another pattern, one with three-fold symmetry.

## Techniques

### Drawing a hexagonal frame

To draw a pattern with triangular symmetry, a good way is to start off with a hexagon (reason: hexagons tile the plan in a triangular grid).

![Drawing a hexagon is a good way to make a pattern with triangular symmetry](hexagonal_canva.png?resize=100,100)

Once a hexagon size is chosen, it is important to keep track of how things move when rotating. On the image above you can see the yellow and green part rotating around the blue part.

That means that anything that pokes *outward* the hexagon on one of the left edges will have to poke *inward* on the corresponding right edge!

### Additional symmetries in the hexagon

Here is the tile I used for my pattern:

![A single armadillo, in a hexagonal tile](tile.png?resize=100,100)

Two notable things are:

* The ears: I made sure they would connect perfectly when rotating the hexagon.
* The tail: it pokes out a bit of the hexagon, and the shoulders poke in.

An important feature of this tile is that is has *mirror symmetry*, along the vertical axis. And the axis of symmetry goes through one of the rotation centre but not the other, hence this tile will create a pattern that represents a group called **3\*3**.

And here is the *cell*, the smallest repeatable unit of the image.

![The cell of the pattern, a triangle](cell.png?resize=200,50)

### Armadillo patterns

To draw the patterns on the shell, I used *Voronoi diagrams*, which are simply an extension (`Extensions -> Generate from path -> Voronoi diagram`). They create those organic looking cells.

To create a Voronoi diagram, just select a bunch of objects. To create the shell patterns, I repeated the same object in a random arrangement.

![An arrangement of objects with no apparent structure, and the corresponding Voronoi diagram](voronoi.png?resize=100,100)

## Link to the `svg`

The `svg` file is [here](page://02.blog/vectober22-15-armadillo/15.armadillo.svg).
