---
title: Vectober22 Day 18 Scrape
hideProfile: true
date: 2022/10/18
---

# Inkscape tutorial: Scrape

Today I had a first go at using *Path Effects*, a door opened to a whole new set of tools!

![A black sheet called "Scrape Drawing study" displaying a cone and a sphere as if it was scratch art](18.scrape.png?resize=600,400)

## Inspiration

The prompt, *Scrape*, really made me think of this scratch art where you have a black sheet of paper chich you can scratch to reveal white in selected places, and draw that way.

I thought of how I could do such a thing, watched a few tutorials about related drawings, like using hatching to achieve a sketch-like look, and all this made me want to really try this drawing as a study case, in which I would try out a new medium. So I decided to draw a typical first study, with simple spheres and cones in the light.

## Techniques

### Path Effects

*Path Effects* are as much a source of new ideas of using Inkscape as *Extensions* can be. They are accessible by `Path -> Path Effects`, or with `Ctrl+&`. When summoned, the Path Effect menu appears and you can click the `+` button to choose from a list of effects.

Very conveniently, if you want to apply the same effect to several paths, you can copy the paths with the effect you want to clone (`Ctrl+C`), select the path you want to apply the effect on and press `&` (or go `Path -> Paste Path Effect`).

### Roughen

One of the effects I used is called *Roughen*. It allows to giggle the border of a shape, and to make its border less regular. I used it on every flat shape on the drawing: white rectangles and black triangles and ellipses.

The parameters are very self-explanatory and allow to control the roughness of the border, just play around to see what's working.

### Hatches

I wanted a way to turn a solid shape into a sort of scribbled line, because that is so characteristic of scratch art. *Hatches* were there for me providing just what I needed: it will turn a solid shape into a squiggly path that runs in hatches through the entire path.

More parameters are offered than for *Roughen*, and I found them less explicit. Here's the parameters I used the most.

* If you want to increase of decrease the stroke width, you can tweak the last four parameters (and more importantly the two last) about line thickness. You can also change the size of the path, which will change the hatching size in proportion, and once OK with the result turn the object into a path (`Shift+Ctrl+C`).
* The first parameters define randomness to make the hatches look more natural.
* The `Growth` parameter is a way to have hatches that are further from each other along the path, I used it a bit on the sphere.
* And, most importantly, with the *Node* tool you have access to *four* handles which allow you to tweak the direction, bending and density of the hatches.

### Textures and masks

As I didn't want to have flat solid shapes, I wanted a way to make the white rectangles contain random black specks. I did not find a way to make this from a *Path Effect*, so I resorted to using a *texture image*.

Those are simply black and white images which depict a texture. Import it in Inkscape, select the image along with the objects you want to texture and select `Object -> Mask -> Set Mask`. Wherever the texture was black, your object will be transparent, giving it the desired textured look.

Another way to go would be to have a *vector texture* and *subtract* it from objects.

## Link to the `svg`

The `svg` file is [here](page://02.blog/vectober22-18-scrape/18.scrape.svg).

The handwritten font is [Southam demo](https://www.1001fonts.com/southam-demo-font.html). The texture image I used is *Texture10* from [this set](https://logosbynick.com/15-free-grunge-textures/).
