---
title: Vectober22 Day 6 Bouquet
hideProfile: true
date: 2022/10/06
---

# Inkscape tutorial: Bouquet

Today's submission got me to think about plants, and fiddling around with Inkscape I got the idea to use the *L-systems* extension, a nifty tool for procedural drawing.

![Imaginary plantsgenerated with L-systems, as on a cyanotype impress](6.bouquet.png?resize=600,400)

## Inspiration

When I settled on using L-systems to generate plants, I first wanted to draw some kind of dry flower bouquet with lots of grassy plants. However, I got too clustered results and no really nice volumes. And the file was getting bigger, owing to lots and lots of nodes...

That's when I got the idea of drawing a herbarium, with only a few selected plants. Additionally, this fitted well with L-systems: a way of generating plant-like figures developed by the 20th-century hungarian biologist and botanist Aristid Lindenmayer.

After looking for old herbarium photos, I remembered the work of Anna Atkins, a 19th-century English botanist who was the first person to publish a photographic herbarium, *Photographs of British Algae: Cyanotype Impressions* using the cyanotype technique (a photography technique that involves a deep prussian blue tint).

## Techniques

### L-systems

*L-systems*, or *Lindenmayer systems* denote a syntax to generate a sequence of instruction that can be used to derive drawings that share many resemblance to plants.

In Inkscape, they are accessible by `Extensions -> Render -> Lindenmayer System`. A popup appears, and you have to select:

* an axiom: an initial instruction from which the plant will grow (a seed),
* some rules: this is the meat of the system. Here, you define how the plant will grow generation after generation,
* some parameters: the number of generations, angles, length *etc*.

L-systems are very easy to set and produce really nice results! As I wanted to add some kind of scientific description of the plants, I have plainly written my parameters under each plant. This couldn't be easier!

Some additional resources:
* [Wikipedia](https://en.wikipedia.org/wiki/L-system) of course.
* [A French site](https://accromath.uqam.ca/2013/09/l-systemes-les-equations-des-plantes/) that explains it very clearly (if French is clear to you...).
* Plenty of examples online, just look for images under "l system plant examples"...

## Link to the `svg`

The `svg` file is [here](page://02.blog/vectober22-6-bouquet/6.bouquet.svg)

