---
title: Vectober22 Day 7 Trip
hideProfile: true
date: 2022/10/07
---

# Inkscape tutorial: Trip

Of the many reasons why I'm trying out Inktober this month the two main are that I unexpectedly have free time right now, and that I want to progress in designing with Inkscape. Today, I wanted to try out a more conventional design, following again some ideas of flat design.

![A map laid on a table, with navigational tools around](7.trip.png?resize=600,400)

## Inspiration

Once I settled on drawing a map, I wanted to recreate the way [Kurzgesagt](https://kurzgesagt.org/) draws continents and clouds, as very simple solid shapes.

I also watched some tutorials, including the excellent [Intermediate/Advanced tutorials](https://www.youtube.com/playlist?list=PLynG8gQD-n8AFcLFAkvqJYnQUiBweRh1y) by *Logos By Nick*. And I applied some of the techniques he presents there.

## Techniques

### Layering and clipping

For the first time, I relied heavily on *Layers* to organize my drawing. I have a layer for the table, a layer for the parchment, *five* for the map and one for the tools.

Additionally to providing a nice way to organize and lock already drawn shapes, layers are a good way to use *clipping*. For example, The continents, the grid and the clouds are all overflowing from the map. But I defined a layer that contains a rectangle the same size as the map *above* these elements. And selecting this top layer along with all layers I wanted to clip, I just had to select `Object -> Clip -> Set` and *voilà*!

### Shadows, map ripping, wood texture: one trick to rule them all

Logos By Nick's tutorial series is filled with ideas to cut and assemble path in bigger, more defined objects. He heavily uses duplication (`Ctrl+D`) and various operations on path:

* Union (`Ctrl++`) to assemble many path in one,
* Difference (`Ctrl+-`) to remove one path from another
* Intersection (`Ctrl+*`) to only keep the overlap of two path,
* Path splitting (`Shift+Ctrl+K`) to isolate non touching path...

Definitely have a look for yourself! 

As an example, here is how I drew the compass:

* Start with a circle (call it *C*).
* Duplicate it and reduce the size holding `Shift+Ctrl` (so that the two centres don't move), giving circle *C'*.
* Duplicate *C* and *C'*, and *subtract* the two path (`Ctrl+-`) so that you only have one ring *R*.
* Make *R* black and semi-transparent, shift it a bit, duplicate *C'* and *intersect* (`Ctrl+*`) the two path. This gives two kind of moon shapes.
* Split those shapes (`Shift+Ctrl+K`), remove the bottom one and you have the inner shadow of the compass!
* Duplicate *C*, shift it a bit, make it black and transparent and put it at the bottom of the stack (`PageDown`) and you have the outer shadow!

The compass arrow is simply a Bezier curve. Easy right?

## Link to the `svg`

The `svg` file is [here](page://02.blog/vectober22-7-trip/7.trip.svg)
